# Code Folding Preferences

Code Folding enables you to 'collapse', or hide, certain sections of code while you are not working on them. This enables you to manage larger amounts of code within one window.

The Code Folding preferences page allows you enable / disable code folding and to select which elements should be folded by default.

The Code Folding Preferences page is accessed from Window | Preferences | PHP | Editor | Code Folding.

To configure your code folding preferences:

1. Mark the Enable folding checkbox to enable code to be folded.
2. Select which off the following elements should be folded by default by marking the relevant checkboxes:

- Classes
- Functions
- PHPDocs

3. Click Apply to apply your settings.

#### Related Links:

- Code Folding
- Using Code Folding
- PHP Preferences
- Editor Preferences